Album: Intermission
Suffix Track Directories: true
Always Reference Tracks By Directory: true
Artists:
- Screamcatcher
Show Album In Tracks Without Artists: true
Cover Artists:
- Screamcatcher
Wallpaper Artists:
- Screamcatcher
- Jebb (edits for wiki)
Wallpaper File Extension: png
Cover Art File Extension: png
Date: May 23, 2024
Date Added: January 30, 2025
URLs:
- https://screamcatcher.bandcamp.com/album/intermission
- https://youtu.be/xtV5XhCMmPs
Color: '#ac5a0e'
Groups:
- Kalibration
- Beyond
Commentary: |-
    <i>Screamcatcher:</i> ([Bandcamp about blurb](https://screamcatcher.bandcamp.com/album/intermission))

    It's been ten years since we last performed for you.

    This is not yet the finale.

    This is only the intermission.

    <i>Kalibration:</i> ([Twitter post](https://x.com/kalibration/status/1793706625859252498))

    10 years later

    [(Bandcamp link)](https://screamcatcher.bandcamp.com/album/intermission)

    <i>Kalibration:</i> ([YouTube description](https://youtu.be/xtV5XhCMmPs))

    the first Screamcatcher record in ten years to the day since [[album:bird|the last one]], something of a warmup on my way to give the project a proper "finale." Screamcatcher was my first real alias as a musician, back when I was just slapping together loops in FL Studio and handing out burned CD-Rs of absolutely embarrassing NI-Massive-preset brostep tunes at Chicago Peace Fest 2011. some things have changed a lot since then, some things barely changed at all, I fell out of love with "EDM" for a long while and got so self-conscious about being yet another wannabe "masked producer" that I downright regretted the entire affair. but after everything, it's still a part of me, and so here are five songs; Heretic, Meaningless, and Violence are brand new, while Frostbite and SWTD are from 2016 and 2017. all the new material was made in Bitwig Studio, the older songs were made in FL. i don't know when I am going to make any more tracker music worth sharing or more tutorials, besides this project i have been more focused on visual art, programming, and my life-ruining Dwarf Fortress addiction. hopefully this channel won't go completely dormant for another year, but don't hold your breath. thanks for listening, thanks for reading this, thanks for sticking around
---
Track: Heretic
Duration: 03:22
URLs:
- https://screamcatcher.bandcamp.com/track/heretic
---
Track: Meaningless
Duration: 02:31
URLs:
- https://screamcatcher.bandcamp.com/track/meaningless
---
Track: Frostbite
Duration: 06:46
URLs:
- https://screamcatcher.bandcamp.com/track/frostbite
---
Track: Violence
Duration: 03:43
URLs:
- https://screamcatcher.bandcamp.com/track/violence
---
Track: Somewhere Warm to Die (Demo)
Suffix Directory: false
Always Reference By Directory: false
Duration: 13:13
URLs:
- https://screamcatcher.bandcamp.com/track/somewhere-warm-to-die-demo
